javax.jdo

## Class JDOUserCallbackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.jdo.JDOException
        - - javax.jdo.JDOCanRetryException
          - - javax.jdo.JDOUserException
            - - javax.jdo.JDOUserCallbackException

- All Implemented Interfaces:
    Serializable

      public class JDOUserCallbackException
      extends JDOUserException

  This class represents exceptions caused by exceptions thrown during execution of callbacks or listeners.
  Version:
    2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDOUserCallbackException()` Constructs a new `JDOUserCallbackException` without a detail message.
    `JDOUserCallbackException(String msg)` Constructs a new `JDOUserCallbackException` with the specified detail message.
    `JDOUserCallbackException(String msg, Object failed)` Constructs a new `JDOUserCallbackException` with the specified detail message and failed object.
    `JDOUserCallbackException(String msg, Throwable nested)` Constructs a new `JDOUserCallbackException` with the specified detail message and nested `Throwable`s.
    `JDOUserCallbackException(String msg, Throwable[] nested)` Constructs a new `JDOUserCallbackException` with the specified detail message and nested `Throwable`s.
    `JDOUserCallbackException(String msg, Throwable[] nested, Object failed)` Constructs a new `JDOUserCallbackException` with the specified detail message, nested `Throwable`s, and failed object.
    `JDOUserCallbackException(String msg, Throwable nested, Object failed)` Constructs a new `JDOUserException` with the specified detail message, nested `Throwable`s, and failed object.

  - ### Method Summary

    - ### Methods inherited from class javax.jdo.JDOException

      `getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JDOUserCallbackException

          public JDOUserCallbackException()

      Constructs a new `JDOUserCallbackException` without a detail message.

    - #### JDOUserCallbackException

          public JDOUserCallbackException(String msg)

      Constructs a new `JDOUserCallbackException` with the specified detail message.
      Parameters:
        `msg` - the detail message.

    - #### JDOUserCallbackException

          public JDOUserCallbackException(String msg,
                                          Throwable[] nested)

      Constructs a new `JDOUserCallbackException` with the specified detail message and nested `Throwable`s.
      Parameters:
        `msg` - the detail message.
        `nested` - the nested `Throwable[]`.

    - #### JDOUserCallbackException

          public JDOUserCallbackException(String msg,
                                          Throwable nested)

      Constructs a new `JDOUserCallbackException` with the specified detail message and nested `Throwable`s.
      Parameters:
        `msg` - the detail message.
        `nested` - the nested `Throwable`.

    - #### JDOUserCallbackException

          public JDOUserCallbackException(String msg,
                                          Object failed)

      Constructs a new `JDOUserCallbackException` with the specified detail message and failed object.
      Parameters:
        `msg` - the detail message.
        `failed` - the failed object.

    - #### JDOUserCallbackException

          public JDOUserCallbackException(String msg,
                                          Throwable[] nested,
                                          Object failed)

      Constructs a new `JDOUserCallbackException` with the specified detail message, nested `Throwable`s, and failed object.
      Parameters:
        `msg` - the detail message.
        `nested` - the nested `Throwable[]`.
        `failed` - the failed object.

    - #### JDOUserCallbackException

          public JDOUserCallbackException(String msg,
                                          Throwable nested,
                                          Object failed)

      Constructs a new `JDOUserException` with the specified detail message, nested `Throwable`s, and failed object.
      Parameters:
        `msg` - the detail message.
        `nested` - the nested `Throwable`.
        `failed` - the failed object.

Copyright © 2005–1970 Apache Software Foundation. All rights reserved.